###################################################################################################################################################
# Copyright 2015 Orchid Systems 
# -----------------------------
# Permitted for use with Orchid Systems Modules only.
# The code is supplied on an as is basis for training and demonstration purposes only and is not supported by Orchid Systems.
# If this code is deployed in a live production environment it is the responsibility of the End User to ensure 
# that it is operating as required.
###################################################################################################################################################


from accpac import *
# This validates only ADMIN can select any TRANSTYPE, others 2

# onOpen is called when the view is opened.
# Return Continue to enable the macro.
# Return 0 to disable the macro.
# If you return anything else then the view will not load.
def onOpen():
	return Continue

def onAfterPut(e):
	if e.field == "ITEMNO":
		me.put("TRANSTYPE",2)

def onBeforePut(e):
	#rvspyTrace("Put [" + str(e.value) + "] to [" + e.field + "]")
	if e.field == "TRANSTYPE":
		if user == "ADMIN":
			return Continue
		if e.value != 2:
			error("You can only select 'Quantity Decrease'")
			return 1
	return Continue
